=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ -Scmake

override_dh_install:
	dh_install -plibswami-dev usr/include
	dh_install -plibswami-dev usr/lib/lib*.so usr/lib/$(DEB_HOST_MULTIARCH)/
	dh_install -plibswami0 usr/lib/lib*.so.* usr/lib/$(DEB_HOST_MULTIARCH)/
	dh_install --remaining-packages
