=== debian/changelog ===
swami (2.0.0+svn384-2) unstable; urgency=low

  * Team upload.
  * Correct small typo in package description, thanks to Davide Prina
    for reporting this (Closes: #609591).
  * Remove ladcca-dev from Build-Depends.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Apr 2011 10:33:25 +0200

swami (2.0.0+svn384-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release, reintroduce this in Debian (Closes: #603262).
  * Bump Standards version.
  * Change to one_space_ style in control file
  * Removed debian/dirs file.
  * Reworked copyright file.
  * Fix watch file.
  * Changed control file to build swami-dev and swami-doc package too
  * Update debhelper version in Build-Depends.
  * Refresh build-dependencies.
  * Switch to format '3.0 (quilt)'.
  * Add gbp's configuration file.
  * Add debian/*.install.
  * Removed lines for for operating tarball from debian/rules.
  * Changed maintainer, add Uploaders field, improved readability,
    added Vcs-* tags, add Homepage field.
  * Change DH compatibility from 4 to 7.
  * Add debian/get-svn-source.sh file.
  * README.source file added to document how to retrieve new releases
    from upstream's SVN.
  * Added cmake as build dep, build system changed by upstream.
  * Add debian/swami.manpages, various improvements to the manpages.
  * Update address in copyright file
  * Fix swami.install file, removed symbolic links from no-dev package.
  * Removed bzip2 from build dependencies.
  * Added patch for desktop file explicit UTF-8 Encoding
  * Symbols file added.

  [ Alessio Treglia ]
  * Rewrite debian/copyright, fix various issues.
  * Switch to DH7 short-form as requested by the sponsoree. Drop CDBS.
  * Re-order changelog, drop all unnecessary entries.
  * Moves shared libs into libswami0 (shared libraries), rename
    libswami-dev and adjust it properly.
  * Fix libraries path, fix installation path of shlibs.
  * Add patch to remove suffix from shlibs installation path.
  * Remove documentation file, we'll reintoduce that in the future when
    useful.
  * Explicitly set cmake as build system.
  * Improve runtimes descriptions.
  * Add -DBG package.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 03 Dec 2010 01:50:41 +0100

swami (0.9.4-1) unstable; urgency=low

  * New upstream version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 17 Nov 2006 11:43:51 +0100

swami (0.9.2-7) unstable; urgency=low

  * added fluidsynth.patch, makes fluidsynth version checking less restrictive

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 15 Nov 2005 10:07:29 +0100

swami (0.9.2-6) unstable; urgency=low

  * added libaudiofile-dev build dependency, thanks to Karl Chen
    (closes: #317471)
  * added libasound2-dev build dependency (closes: #324054)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 25 Aug 2005 21:56:11 +0200

swami (0.9.2-5) unstable; urgency=low

  * added replaces and conflicts fields for smurf

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 20 Apr 2005 12:08:40 +0200

swami (0.9.2-4) unstable; urgency=low

  * Trying to fix build errors: adding libjack-dev dependency

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 16 Mar 2005 15:57:14 +0100

swami (0.9.2-3) unstable; urgency=low

  * First upload to unstable

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 14 Mar 2005 15:27:31 +0100

swami (0.9.2-2) experimental; urgency=low

  * fix the problem with files in /debian directory (closes: #279154)
  * Added ladcca-dev build dependency

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 16 Feb 2005 17:24:04 +0100

swami (0.9.2-1) experimental; urgency=low

  * Initial Release (closes:  #261548).

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 21 Jan 2004 11:52:11 +0100
