=== debian/control ===
Source: swami
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 cmake,
 libsndfile1-dev,
 libaudiofile-dev,
 libgtk2.0-dev (>= 2.8.17),
 pkg-config,
 libfluidsynth-dev,
 libpopt-dev,
 libpng-dev,
 libjack-dev,
 libasound2-dev,
 gettext,
 libinstpatch-dev,
 libgnomecanvas2-dev (>= 2.0),
 librsvg2-dev (>= 2.8),
 libglade2-dev,
 libfftw3-dev,
 gtk-doc-tools,
 docbook-xml,
 python-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/swami.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/swami.git
Homepage: http://swami.sf.net

Package: swami
Architecture: any
Depends: ${shlibs:Depends},
 libswami0 (= ${binary:Version}),
 ${misc:Depends}
Description: MIDI instrument editor application
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.

Package: libswami0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: MIDI instrument editor - shared libraries
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.
 .
 This package provides the shared libraries.

Package: libswami-dev
Section: libdevel
Architecture: all
Depends: libswami0 (>= ${source:Version}),
 libswami0 (<< ${source:Upstream-Version}+1~),
 ${misc:Depends},
 libinstpatch-dev,
 libgtk2.0-dev (>= 2.8.17),
 libgnomecanvas2-dev (>= 2.0)
Description: MIDI instrument editor - development files
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.
 .
 This package contains the headers files.

Package: swami-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libswami0 (= ${binary:Version}),
 swami (= ${binary:Version}),
 ${misc:Depends}
Description: MIDI instrument editor - debugging symbols
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.
 .
 This package contains the debugging symbols.
