=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake

override_dh_strip:
	dh_strip --dbg-package=swami-dbg
