=== src/swamigui/images/CMakeLists.txt ===
#
# Swami
# Copyright (C) 1999-2010 Joshua "Element" Green <jgreen@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2
# of the License only.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA or point your web browser to http://www.gnu.org.
#

install ( FILES
    DLS.png
    GIG.png
    SoundFont.png
    concave_neg_bi.png
    concave_neg_uni.png
    concave_pos_bi.png
    concave_pos_uni.png
    effect_control.png
    effect_default.png
    effect_graph.png
    effect_set.png
    effect_view.png
    convex_neg_bi.png
    convex_neg_uni.png
    convex_pos_bi.png
    convex_pos_uni.png
    global_zone.png
    inst.png
    knob.svg
    linear_neg_bi.png
    linear_neg_uni.png
    linear_pos_bi.png
    linear_pos_uni.png
    loop_none.png
    loop_standard.png
    loop_release.png
    modenv.png
    modenv_attack.png
    modenv_decay.png
    modenv_delay.png
    modenv_hold.png
    modenv_release.png
    modenv_sustain.png
    modulator_editor.png
    modulator_junct.png
    mute.png
    piano.png
    preset.png
    python.png
    sample.png
    sample_rom.png
    sample_viewer.png
    splash.png
    splits.png
    swami_logo.png
    switch_neg_bi.png
    switch_neg_uni.png
    switch_pos_bi.png
    switch_pos_uni.png
    tree.png
    tuning.png
    velocity.png
    volenv.png
    volenv_attack.png
    volenv_decay.png
    volenv_delay.png
    volenv_hold.png
    volenv_release.png
    volenv_sustain.png

    DESTINATION ${IMAGES_DIR}
)
