=== debian/changelog ===
swami (2.0.0+svn389-5) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Remove unused B-D on libaudiofile-dev

  [ Jaromír Mikeš ]
  * Set compat/dh 10.
  * Bump Standards.
  * Sign tags.
  * Update Vcs to use git instead of cgit.
  * Avoid useless linking.
  * Update copyright file.
  * Add patch to fix load of fftune pluging (Closes: #843638).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 23 Aug 2017 07:04:13 +0200

swami (2.0.0+svn389-4) unstable; urgency=medium

  * Bump Standards.
  * Fix VCS fields.
  * Update copyright file.
  * Drop dbg package in favour of dbgsym.
  * Fix hardening.
  * Add intltool to B-D (Closes: #837841).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Sep 2016 20:29:22 +0200

swami (2.0.0+svn389-3) unstable; urgency=low

  * Bump Standards.
  * Set dh 9.
  * Update VCS fields.
  * Build with autoreconf.
  * Updated copyright.
  * Added keywords to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 21 Aug 2014 13:37:03 +0200

swami (2.0.0+svn389-2) unstable; urgency=low

  * Rebuild against newer GLib. (Closes: #697026)
  * Recommends on jackd. (Closes: #697031)

 -- Alessio Treglia <alessio@debian.org>  Wed, 02 Jan 2013 21:11:49 +0000

swami (2.0.0+svn389-1) unstable; urgency=low

  * Team upload.
  * New upstream svn snapshot:
    - Lots of GCC warnings fixed (variable set but not used, etc).
    - GObject Introspection related changes:
    - Disabled inactive function definitions in some IpatchConvert headers.
    - Added many GObject Introspection parameter type comments.
    - Added IpatchFileHandle boxed type.
    - IpatchSndFileFormat enum now uses file extension for value_name and
      value_nick.
    - IpatchSndFileSubFormat enum now sets value_nick to sub format name
      instead of NULL.
    - Bug fix in qsort function call in create_patch_type_menu() which
      was causing crashes on 64 bit systems. (LP: #810569)
    - Add favicon images.
    - Russian translation of the desktop file from Alexandre Prokoudine.
  * Enable parallel builds.
  * Refresh patches.
  * Build with Multiarch.
  * Move plugins from swami to libswami0.

 -- Alessio Treglia <alessio@debian.org>  Mon, 13 Feb 2012 00:16:23 +0100
