=== debian/control ===
Source: swami
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper (>= 10~),
 docbook-xml,
 gettext,
 gtk-doc-tools,
 intltool,
 libasound2-dev,
 libfftw3-dev,
 libfluidsynth-dev,
 libglade2-dev,
 libgnomecanvas2-dev (>= 2.0),
 libgtk2.0-dev (>= 2.8.17),
 libinstpatch-dev,
 libjack-dev,
 libpng-dev,
 libpopt-dev,
 librsvg2-dev (>= 2.8),
 libsndfile1-dev,
 pkg-config,
 python-dev
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/swami.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/swami.git
Homepage: http://swami.sf.net

Package: swami
Architecture: any
Depends:
 libswami0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 jackd
Breaks:
 libswami0 (<= 2.0.0+svn389-1~)
Replaces:
 libswami0 (<= 2.0.0+svn389-1~)
Description: MIDI instrument editor application
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.

Package: libswami0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MIDI instrument editor - shared libraries
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.
 .
 This package provides the shared libraries.

Package: libswami-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgnomecanvas2-dev (>= 2.0),
 libgtk2.0-dev (>= 2.8.17),
 libinstpatch-dev,
 libswami0 (= ${binary:Version}),
 ${misc:Depends}
Description: MIDI instrument editor - development files
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.
 .
 This package contains the headers files.
