=== debian/watch ===
version=3
http://sf.net/swami/swami-(.+)\.tar\.gz
